///////////////////////////////////////////////////////////
//  Monitor.h
//  Implementation of the Class Monitor
//  Created on:      09-7-2011 19:59:51
//  Original author: u90499
///////////////////////////////////////////////////////////

#ifndef MONITOR_H_
#define MONITOR_H_

//#include "UI.h"
//#include "HardwareManager.h"
//#include "ハードウェア管理.h"


#include "Vector.h"
using namespace ecrobot;

#include "NXTway_GS_data.h"

extern "C"
{
	#include "ecrobot_interface.h"
};


class Monitor
{

public:
	Monitor();
	virtual ~Monitor();

	void printData(char* str,int SleepTme);
	void printData(char* str,S16 iData, int SleepTme);
private:
//	UI  ;
//	HardwareManager  ;
//	ハードウェア管理  ;
//	int 表示文字列;

};

#endif

